Subject: RE: [Ltru] LTRU submission: draft-ietf-ltru-registry-10

From: Randy Presuhn <[email-masked]>
Date: Fri, 5 Aug 2005 10:46:02 +0200 (GMT+02:00)

Hi -

An understandable interpretation, but IETF practice is that documents
that use the 2119 keywords treat the reference to 2119 as a normative
reference.  Changing that practicew is well beyond the scope of this WG;
if you feel strongly about changing this practice, I'd suggest taking it up
of the [email-masked] mailing list.

Randy, ltru co-chair

-----Original Message-----
From: Kent Karlsson <[email-masked]>
Sent: Aug 5, 2005 10:17 AM
To: Scott Hollenbeck <[email-masked]>
Cc: [email-masked]
Subject: RE: [Ltru] LTRU submission: draft-ietf-ltru-registry-10

>>    [RFC2119]  Bradner, S., "Key words for use in RFCs to Indicate
>>               Requirement Levels", BCP 14, RFC 2119, March 1997.
>>
>> ----> I still think this one should not be listed as
>> "normative". It is
>> ----> more "metanormative" for IETF standards, and would then
>> not need to be
>> ----> listed as "normative" for any particular RFC.
>
> There's no such thing as "metanormative".

I did put it in quotes.

> It either needs to be listed as a
> normative reference (if it is), or it should be omitted (if it isn't).  If
> 2119 keywords are used, it's a normative reference.

Well, I (nor anyone else apparently) would dream of putting the ISO (IEC)
directives in as a normative reference in an ISO (IEC) standard. I've even
gotten the comment from the ISO central secretariat that one should
not even include "shall" and "should" in the list of defined terms, since
their use is dictated by the directives, and thus applies to all ISO (and
IEC) standards. My take is that normative references are references that
are at the technical level, not at the document authoring level (which
is the level of the definition and use of "shall" and "should").

   /kent k

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru